# TODO
# - add codepress (http://codepress.org/index.php) patch
# - use system jquery (js/jquery), tcpdf (libraries/tcpdf) and php-gettext (libraries/gettext)
Summary:	phpMyAdmin - web-based MySQL administration
Summary(pl.UTF-8):	phpMyAdmin - administracja bazami MySQL przez WWW
Name:		phpMyAdmin
Version:	4.0.10.10
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	https://files.phpmyadmin.net/phpMyAdmin/%{version}/%{name}-%{version}-all-languages.tar.xz
# Source0-md5:	0690e8a5263776c3fbf5b47bd85253e8
Source1:	apache.conf
Source2:	%{name}-lighttpd.conf
Patch0:		%{name}-config.patch
Patch1:		%{name}-ServerSelectDisplayName.patch
Patch2:		%{name}-ServerSelectDisplayName-config.patch
URL:		https://www.phpmyadmin.net/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	php(core) >= 5.2
Requires:	php(ctype)
Requires:	php(filter)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(mcrypt)
Requires:	php(mysql)
Requires:	php(pcre)
Requires:	php(session)
Requires:	php(simplexml)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires(triggerpostun):	sed >= 4.0
Suggests:	php(mysqli)
Suggests:	webserver(indexfile)
Suggests:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
- create and drop databases
- create, copy, drop and alter tables
- delete, edit and add fields
- execute any SQL-statement, even batch-queries
- manage keys on fields
- load text files into tables
- create and read dumps of tables
- export and import data to CSV values
- administer multiple servers and single databases
- check referencial integrity
- create complex queries automatically connecting required tables
- create PDF graphics of your database layout
- communicate in more than 72 different languages

This is older version compatible with PHP 5.2 and MySQL 5. Supported
for security fixes only, until Jan 1, 2017.

%description -l pl.UTF-8
phpMyAdmin potrafi zarządzać całymi bazami MySQL (potrzebne
uprawnienia superużytkownika) jak i pojedynczymi bazami danych.
Potrzebny jest użytkownik, który ma prawa zapisu/odczytu tylko tych
baz, którymi chcemy administrować (więcej informacji w odpowiedniej
podręcznika MySQL). Aktualnie phpMyAdmin potrafi:
- tworzyć i usuwać bazy
- wykonywać create, copy, drop oraz alter na tabelach
- dodawać, usuwać i modyfikować pola
- wykonywać dowolne zapytania SQL
- zarządzać kluczami na rekordach
- wczytywać tekst z plików do tabel
- obsługiwać ponad 72 języków
- zarządzać wieloma serwerami i pojedynczymi bazami danych
- eksportować i importować dane do wartości CSV
- tworzyć i czytać zrzuty tabel

%prep
%setup -q -n %{name}-%{version}-all-languages
%patch0 -p1
%patch1 -p0
%patch2 -p0

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

# github stuff
%{__rm} composer.json phpunit.xml*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}
cp -a . $RPM_BUILD_ROOT%{_appdir}

cp -p libraries/config.default.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
ln -s %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/config.inc.php

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

# packaged as doc
%{__rm} $RPM_BUILD_ROOT%{_appdir}/{ChangeLog,LICENSE,README,RELEASE-DATE-*}
# cleanup not packaged stuff
%{__rm} -r $RPM_BUILD_ROOT%{_appdir}/{doc,examples,setup,scripts}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README examples/
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_appdir}
%{_appdir}/js
%{_appdir}/libraries
%{_appdir}/locale
%{_appdir}/themes
%{_appdir}/*.css
%{_appdir}/*.php
%{_appdir}/favicon.ico
%{_appdir}/robots.txt
%changelog
* Mon Jul 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phpMyAdmin.git;a=log;h=AC-branch

* Fri Jul 24 2015 Elan Ruusamäe <glen@delfi.ee> 6a4985d
- fix md5

* Fri Jul 24 2015 Elan Ruusamäe <glen@delfi.ee> 04247e6
- cleanup unpackaged files

* Fri Jul 24 2015 Elan Ruusamäe <glen@delfi.ee> 1dca87b
- Merge branch 'master' into v4.0.x

* Fri Jul 24 2015 Elan Ruusamäe <glen@delfi.ee> 3262b77
- up to 4.0.10.10, this is last version compatible with php 5.2 and mysql 5.0

* Wed Jul 22 2015 Elan Ruusamäe <glen@delfi.ee> 802c403
- use cp -a to ensure no new files remains unnoticed and unpackaged

* Wed Jul 22 2015 Elan Ruusamäe <glen@delfi.ee> 3768429
- up to 4.4.12

* Thu Feb 26 2015 Robert Graużenis <dzeus@dc.net.pl> 6a1ecad
- up to 4.1.14.8 (security fixes)

* Mon Apr 28 2014 Robert Graużenis <dzeus@dc.net.pl> 3e94df0
- up to 4.1.14 (bugfixes)

* Mon Mar 24 2014 Robert Graużenis <dzeus@dc.net.pl> 8626a78
- up to 4.1.11 (bugfixes)

* Sat Mar 15 2014 Robert Graużenis <dzeus@dc.net.pl> bb3161d
- up to 4.1.9 (bugfixes)

* Tue Feb 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> e9673cf
- updated to 4.1.8

* Tue Feb 11 2014 Łukasz Kieś <kiesiu@pld-linux.org> 79043a9
- updated to 4.1.7

* Tue Feb 04 2014 Elan Ruusamäe <glen@delfi.ee> 218e7bb
- fix rpmlint E: backup-file-in-package

* Tue Feb 04 2014 Elan Ruusamäe <glen@delfi.ee> 1bdc8ed
- apache 2.2/2.4 compatible config

* Tue Feb 04 2014 Elan Ruusamäe <glen@delfi.ee> 223a219
- Revert "- migrated to apache 2.4"

* Mon Feb 03 2014 Łukasz Kieś <kiesiu@pld-linux.org> 0013e22
- updated to 4.1.6

* Fri Jan 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 651d189
- updated to 4.1.5

* Tue Jan 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> 054dddf
- updated to 4.1.4
- included examples dir content which is required in case of pmadb migration from 4.0 to 4.1
- R: mysql-libs >= 5.5 (version 4.1.x requires at least mysql 5.5)
- reported by shadzik

* Wed Jan 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 89a19fc
- updated to 4.1.3

* Fri Dec 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> 43e911d
- updated to 4.1.2

